NXOpen .NET Reference  12.0.0
NXOpen.Annotations.BaseFcf Member List

This is the complete list of members for NXOpen.Annotations.BaseFcf, including all inherited members.

AnnotationOriginNXOpen.Annotations.Annotation
AnnotationPlaneNXOpen.Annotations.Annotation
AttributeType enum nameNXOpen.NXObject
Blank()NXOpen.DisplayableObject
CanChangeLeaderPositionParameterNXOpen.Annotations.Gdt
ColorNXOpen.DisplayableObject
CreateAttributeIterator()NXOpen.NXObject
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
FindObject(string journalIdentifier)NXOpen.NXObject
GetAssociativeOrigin(out NXOpen.Point3d origin)NXOpen.Annotations.Annotation
GetAssociativity(int associativityIndex)NXOpen.Annotations.Annotation
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetFcfFrameData()NXOpen.Annotations.Gdt
GetFcfFrameDataArray()NXOpen.Annotations.Gdt
GetInferredAnnotationPlane(NXOpen.Annotations.PmiDefaultPlane jaDefaultPlane)NXOpen.Annotations.Annotation
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetLetteringPreferences()NXOpen.Annotations.Annotation
GetLineAndArrowPreferences()NXOpen.Annotations.Annotation
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetStringAttribute(string title)NXOpen.NXObject
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetSymbolPreferences()NXOpen.Annotations.Annotation
GetText()NXOpen.Annotations.SimpleDraftingAid
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
GetUserSymbolPreferences()NXOpen.Annotations.SimpleDraftingAid
GetUserSymbolSize(out NXOpen.Annotations.UserSymbolPreferences.SizeType sizeType, out double lengthOrScale, out double heightOrAspectRatio)NXOpen.Annotations.SimpleDraftingAid
GetViews()NXOpen.Annotations.Annotation
HasAssociativeOriginNXOpen.Annotations.Annotation
HasLeaderPositionParameterNXOpen.Annotations.Gdt
HasStubbedDatumStyleNXOpen.Annotations.Gdt
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
Highlight()NXOpen.DisplayableObject
InsertIntoStack(NXOpen.Annotations.Annotation stack, NXOpen.Annotations.StackAlignmentPosition position)NXOpen.Annotations.Annotation
IsBlankedNXOpen.DisplayableObject
IsOccurrenceNXOpen.NXObject
IsRetainedNXOpen.Annotations.Annotation
JournalIdentifierNXOpen.NXObject
LayerNXOpen.DisplayableObject
LeaderOrientationNXOpen.Annotations.Annotation
LeaderPositionParameterNXOpen.Annotations.Gdt
LineFontNXOpen.DisplayableObject
LineWidthNXOpen.DisplayableObject
NameNXOpen.NXObject
NameLocationNXOpen.DisplayableObject
NumberOfAssociativitiesNXOpen.Annotations.Annotation
ObjectFont enum nameNXOpen.DisplayableObject
ObjectWidth enum nameNXOpen.DisplayableObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
ParallelToScreenNXOpen.Annotations.Annotation
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
RedisplayObject()NXOpen.DisplayableObject
RemoveFromStack()NXOpen.Annotations.Annotation
RemoveViewDependency()NXOpen.DisplayableObject
SetAssociativeOrigin(NXOpen.Annotations.Annotation.AssociativeOriginData assocOrigin, NXOpen.Point3d origin)NXOpen.Annotations.Annotation
SetAssociativity(int associativityIndex, NXOpen.Annotations.Associativity associativity)NXOpen.Annotations.Annotation
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetFcfFrameData(NXOpen.Annotations.FcfFrameData data)NXOpen.Annotations.Gdt
SetFcfFrameData(NXOpen.Annotations.FcfFrameData[] fcfFrameData)NXOpen.Annotations.Gdt
SetLetteringPreferences(NXOpen.Annotations.LetteringPreferences letteringPrefs)NXOpen.Annotations.Annotation
SetLineAndArrowPreferences(NXOpen.Annotations.LineAndArrowPreferences lineArrowPrefs)NXOpen.Annotations.Annotation
SetName(string name)NXOpen.NXObject
SetNameLocation(NXOpen.Point3d location)NXOpen.DisplayableObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetSymbolCfw(NXOpen.Annotations.LineCfw cfw)NXOpen.Annotations.Gdt
SetSymbolPreferences(NXOpen.Annotations.SymbolPreferences symbolPrefs)NXOpen.Annotations.Annotation
SetText(string[] lines)NXOpen.Annotations.SimpleDraftingAid
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
SetUserSymbolPreferences(NXOpen.Annotations.UserSymbolPreferences usymPrefs)NXOpen.Annotations.SimpleDraftingAid
SetUserSymbolSize(NXOpen.Annotations.UserSymbolPreferences.SizeType sizeType, double lengthOrScale, double heightOrAspectRatio)NXOpen.Annotations.SimpleDraftingAid
SetViews(NXOpen.View[] modelViews)NXOpen.Annotations.Annotation
SuppressedNXOpen.Annotations.Annotation
Unblank()NXOpen.DisplayableObject
Unhighlight()NXOpen.DisplayableObject
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.